libzypp 17.37.10

zyppng::ProvideSpecBasePrivate Class Reference
Inheritance diagram for zyppng::ProvideSpecBasePrivate:

## Public Member Functions
| ProvideSpecBasePrivate ()
| ProvideSpecBasePrivate (const ProvideSpecBasePrivate &)=default
| ProvideSpecBasePrivate (ProvideSpecBasePrivate &&)=delete
ProvideSpecBasePrivate & | operator= (const ProvideSpecBasePrivate &)=delete
ProvideSpecBasePrivate & | operator= (ProvideSpecBasePrivate &&)=delete
virtual | ~ProvideSpecBasePrivate ()

## Public Attributes
HeaderValueMap | _customHeaders

## Detailed Description

Definition at line 21 of file providespec.cc.

## Constructor & Destructor Documentation

## ◆ ProvideSpecBasePrivate() [1/3]

zyppng::ProvideSpecBasePrivate::ProvideSpecBasePrivate | ( |  | ) |
| inline

Definition at line 24 of file providespec.cc.

## ◆ ProvideSpecBasePrivate() [2/3]

zyppng::ProvideSpecBasePrivate::ProvideSpecBasePrivate | ( | const ProvideSpecBasePrivate & |  | ) |
| default

## ◆ ProvideSpecBasePrivate() [3/3]

zyppng::ProvideSpecBasePrivate::ProvideSpecBasePrivate | ( | ProvideSpecBasePrivate && |  | ) |
| delete

## ◆ ~ProvideSpecBasePrivate()

virtual zyppng::ProvideSpecBasePrivate::~ProvideSpecBasePrivate | ( |  | ) |
| inline virtual

Definition at line 29 of file providespec.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

ProvideSpecBasePrivate & zyppng::ProvideSpecBasePrivate::operator= | ( | const ProvideSpecBasePrivate & |  | ) |
| delete

## ◆ operator=() [2/2]

ProvideSpecBasePrivate & zyppng::ProvideSpecBasePrivate::operator= | ( | ProvideSpecBasePrivate && |  | ) |
| delete

## Member Data Documentation

## ◆ _customHeaders

HeaderValueMap zyppng::ProvideSpecBasePrivate::_customHeaders

Definition at line 30 of file providespec.cc.

The documentation for this class was generated from the following file:

- zypp-media/ng/providespec.cc